a808648ef2cef852d6ef36673fc2abba30183c1d
[packages/collectd.git] / compile.patch
1 compiling dbi.c with '-Werror' fails (dbi_initialize, dbi_driver_open, 
2 dbi_driver_list are deprecated in recent libdbi)
3 --- collectd-4.9.1/src/Makefile.am.orig 2010-04-08 15:49:05.024241083 +0200
4 +++ collectd-4.9.1/src/Makefile.am      2010-04-08 15:52:22.184768228 +0200
5 @@ -265,6 +261,7 @@ if BUILD_PLUGIN_DBI
6  pkglib_LTLIBRARIES += dbi.la
7  dbi_la_SOURCES = dbi.c \
8                  utils_db_query.c utils_db_query.h
9 +dbi_la_CFLAGS = -Wall
10  dbi_la_CPPFLAGS = $(AM_CPPFLAGS) $(BUILD_WITH_LIBDBI_CPPFLAGS)
11  dbi_la_LDFLAGS = -module -avoid-version $(BUILD_WITH_LIBDBI_LDFLAGS)
12  dbi_la_LIBADD = $(BUILD_WITH_LIBDBI_LIBS)
This page took 0.018351 seconds and 2 git commands to generate.